import { Miscellaneous } from "../config";

let modalOpen = false;

export const openModal = (content: string, id = Miscellaneous.MODAL_ID) => {
  const modal = document.getElementById(id);
  if (modal && !modalOpen) {
    modal.style.display = "flex";
    modal.style.animation = "fadeIn 0.25s";

    modal.innerHTML = `<div class="modal-content">${content}</div>`;
    const modalContent = document.querySelector<HTMLElement>(".modal-content");
    if (modalContent) {
      modalContent.style.animation = "scaleUp 0.25s";
    }

    modalOpen = true;
  }
};

export const closeModal = (id = Miscellaneous.MODAL_ID) => {
  const modal = document.getElementById(id);
  if (modal && modalOpen) {
    modal.style.animation = "fadeOut 0.25s";

    const modalContent = document.querySelector<HTMLElement>(".modal-content");
    if (modalContent) {
      modalContent.style.animation = "scaleDown 0.25s";
    }

    setTimeout(() => {
      modal.innerHTML = "";
      modal.style.display = "none";

      modalOpen = false;
    }, 250);
  }
};
